Documentation Index Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
Use this file to discover all available pages before exploring further.
Server path: /gleap-engagement-outbound | Type: Application | PCID required: Yes
gleap_engagement_outbound_create_banner
Create a new banner
Parameters:
Parameter Type Required Default Description bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"body"
]
}
gleap_engagement_outbound_create_chat_message
Create a new chat message
Parameters:
Parameter Type Required Default Description bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"body"
]
}
gleap_engagement_outbound_create_engagement_email
Create a new email
Parameters:
Parameter Type Required Default Description bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"body"
]
}
gleap_engagement_outbound_create_engagement_push_notification
Create a new push notification
Parameters:
Parameter Type Required Default Description bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"body"
]
}
gleap_engagement_outbound_create_whatsapp_message
Create a new whatsapp message
Parameters:
Parameter Type Required Default Description bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"body"
]
}
gleap_engagement_outbound_delete_banner
Delete an banner
Parameters:
Parameter Type Required Default Description bannerIdstring Yes — Banner Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"bannerId" : {
"type" : "string" ,
"description" : "Banner Id"
}
},
"required" : [
"PCID" ,
"bannerId"
]
}
gleap_engagement_outbound_delete_chat_message
Delete an chat message
Parameters:
Parameter Type Required Default Description chatMessageIdstring Yes — Chat Message Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"chatMessageId" : {
"type" : "string" ,
"description" : "Chat Message Id"
}
},
"required" : [
"PCID" ,
"chatMessageId"
]
}
gleap_engagement_outbound_delete_email
Delete an email
Parameters:
Parameter Type Required Default Description engagementEmailIdstring Yes — Engagement Email Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"engagementEmailId" : {
"type" : "string" ,
"description" : "Engagement Email Id"
}
},
"required" : [
"PCID" ,
"engagementEmailId"
]
}
gleap_engagement_outbound_delete_push_notification
Delete a push notification
Parameters:
Parameter Type Required Default Description pushNotificationIdstring Yes — Push Notification Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"pushNotificationId" : {
"type" : "string" ,
"description" : "Push Notification Id"
}
},
"required" : [
"PCID" ,
"pushNotificationId"
]
}
gleap_engagement_outbound_delete_whatsapp_message
Delete a whatsapp message
Parameters:
Parameter Type Required Default Description whatsappMessageIdstring Yes — Whatsapp Message Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"whatsappMessageId" : {
"type" : "string" ,
"description" : "Whatsapp Message Id"
}
},
"required" : [
"PCID" ,
"whatsappMessageId"
]
}
gleap_engagement_outbound_get_banner
Get an banner
Parameters:
Parameter Type Required Default Description bannerIdstring Yes — Banner Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"bannerId" : {
"type" : "string" ,
"description" : "Banner Id"
}
},
"required" : [
"PCID" ,
"bannerId"
]
}
gleap_engagement_outbound_get_banners
Get all banners
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
gleap_engagement_outbound_get_chat_message
Get an chat message
Parameters:
Parameter Type Required Default Description chatMessageIdstring Yes — Chat Message Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"chatMessageId" : {
"type" : "string" ,
"description" : "Chat Message Id"
}
},
"required" : [
"PCID" ,
"chatMessageId"
]
}
gleap_engagement_outbound_get_chat_messages
Get all chat messages
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
gleap_engagement_outbound_get_email
Get an email
Parameters:
Parameter Type Required Default Description engagementEmailIdstring Yes — Engagement Email Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"engagementEmailId" : {
"type" : "string" ,
"description" : "Engagement Email Id"
}
},
"required" : [
"PCID" ,
"engagementEmailId"
]
}
gleap_engagement_outbound_get_emails
Get all emails
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
gleap_engagement_outbound_get_push_notification
Get a push notification
Parameters:
Parameter Type Required Default Description pushNotificationIdstring Yes — Push Notification Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"pushNotificationId" : {
"type" : "string" ,
"description" : "Push Notification Id"
}
},
"required" : [
"PCID" ,
"pushNotificationId"
]
}
gleap_engagement_outbound_get_push_notifications
Get all push notification
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
gleap_engagement_outbound_get_whatsapp_message
Get a whatsapp message
Parameters:
Parameter Type Required Default Description whatsappMessageIdstring Yes — Whatsapp Message Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"whatsappMessageId" : {
"type" : "string" ,
"description" : "Whatsapp Message Id"
}
},
"required" : [
"PCID" ,
"whatsappMessageId"
]
}
gleap_engagement_outbound_get_whatsapp_messages
Get all whatsapp message
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
gleap_engagement_outbound_send_email_preview
Send email preview
Parameters:
Parameter Type Required Default Description engagementEmailIdstring Yes — Engagement Email Id emailsstring[] Yes — The emails value langstring No — The lang value
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"engagementEmailId" : {
"type" : "string" ,
"description" : "Engagement Email Id"
},
"emails" : {
"type" : "array" ,
"items" : {
"type" : "string"
},
"description" : "The emails value"
},
"lang" : {
"type" : "string" ,
"description" : "The lang value"
}
},
"required" : [
"PCID" ,
"engagementEmailId" ,
"emails"
]
}
gleap_engagement_outbound_send_whatsapp_template_message
Send a whatsapp template message
Parameters:
Parameter Type Required Default Description channelIdstring Yes — The WhatsApp channel ID from your project customValuesobject No — Construct a type with a set of properties K of type T languageCodestring No — Language code (e.g. “en_US”). Falls back to the contact’s language or “en_US” templateNamestring Yes — Name of the WhatsApp template registered with Meta tostring Yes — Recipient phone number (E.164 format, e.g. “+14155552671”)
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"channelId" : {
"type" : "string" ,
"description" : "The WhatsApp channel ID from your project"
},
"customValues" : {
"type" : "object" ,
"description" : "Construct a type with a set of properties K of type T"
},
"languageCode" : {
"type" : "string" ,
"description" : "Language code (e.g. \" en_US \" ). Falls back to the contact's language or \" en_US \" "
},
"templateName" : {
"type" : "string" ,
"description" : "Name of the WhatsApp template registered with Meta"
},
"to" : {
"type" : "string" ,
"description" : "Recipient phone number (E.164 format, e.g. \" +14155552671 \" )"
}
},
"required" : [
"PCID" ,
"channelId" ,
"templateName" ,
"to"
]
}
gleap_engagement_outbound_update_banner
Update an banner
Parameters:
Parameter Type Required Default Description bannerIdstring Yes — Banner Id bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"bannerId" : {
"type" : "string" ,
"description" : "Banner Id"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"bannerId" ,
"body"
]
}
gleap_engagement_outbound_update_chat_message
Update an chat message
Parameters:
Parameter Type Required Default Description chatMessageIdstring Yes — Chat Message Id bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"chatMessageId" : {
"type" : "string" ,
"description" : "Chat Message Id"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"chatMessageId" ,
"body"
]
}
gleap_engagement_outbound_update_engagement_email
Update an email
Parameters:
Parameter Type Required Default Description engagementEmailIdstring Yes — Engagement Email Id bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"engagementEmailId" : {
"type" : "string" ,
"description" : "Engagement Email Id"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"engagementEmailId" ,
"body"
]
}
gleap_engagement_outbound_update_engagement_push_notification
Update a push notification
Parameters:
Parameter Type Required Default Description pushNotificationIdstring Yes — Push Notification Id bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"pushNotificationId" : {
"type" : "string" ,
"description" : "Push Notification Id"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"pushNotificationId" ,
"body"
]
}
gleap_engagement_outbound_update_whatsapp_message
Update a whatsapp message
Parameters:
Parameter Type Required Default Description whatsappMessageIdstring Yes — Whatsapp Message Id bodyobject Yes — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"whatsappMessageId" : {
"type" : "string" ,
"description" : "Whatsapp Message Id"
},
"body" : {
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"whatsappMessageId" ,
"body"
]
}